<div class="input-stream-discharge" {{did-insert this.setup}} {{did-update this.setup @value}}>
  <Label @value={{t "velocity"}} as |id|>
    <Input
      id={{id}}
      class="form-control input-velocity mb-3"
      @type="number"
      @value={{this.velocity}}
      disabled={{@disabled}}
      {{on "focusin" this.focusIn}}
      {{on "focusout" this.focusOut}}
      {{on "change" this.changeInput}}
    />
  </Label>

  <Label @value={{t "width"}} as |id|>
    <Input
      id={{id}}
      class="form-control input-width mb-3"
      @type="number"
      @value={{this.width}}
      disabled={{@disabled}}
      {{on "focusin" this.focusIn}}
      {{on "focusout" this.focusOut}}
      {{on "change" this.changeInput}}
    />
  </Label>

  <Label @value={{t "depth"}} as |id|>
    <Input
      id={{id}}
      class="form-control input-depth mb-3"
      @type="number"
      @value={{this.depth}}
      disabled={{@disabled}}
      {{on "focusin" this.focusIn}}
      {{on "focusout" this.focusOut}}
      {{on "change" this.changeInput}}
    />
  </Label>

  <Label @value={{t "stream discharge"}} as |id|>
    <Input
      id={{id}}
      class="form-control input-result"
      @type="number"
      @value={{this.streamDischarge}}
      disabled={{true}}
    />
  </Label>
</div>